Summary: Displays where a particular program in your path is located.
Name: which
Version: 2.16
Release: 6tr
License: distributable
Group: Trustix Official
Source0: ftp://ftp.gnu.org/gnu/which/which-%{version}.tar.gz
Source1: which-2.sh
Source2: which-2.csh
Patch: which-2.14-broken.patch

Prereq: htmlinfo
BuildRequires: texinfo
Buildroot: /var/tmp/%{name}-root

%description
The which command shows the full pathname of a specified program, if
the specified program is in your PATH.

%prep
%setup -q
%patch -p1 -b .broken

%build
%configure
make
makeinfo --html --no-split --force which.texinfo || : 

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/{man,html/which}
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/etc/profile.d
install -m644 which.html $RPM_BUILD_ROOT/usr/share/html/which/
install -m 755 $RPM_SOURCE_DIR/which-2.sh $RPM_SOURCE_DIR/which-2.csh \
	$RPM_BUILD_ROOT/etc/profile.d

rm -rf $RPM_BUILD_ROOT%{_infodir}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post 
/usr/sbin/htmlinfo_update.sh
 
%postun
if [ $1 = 0 ]; then
	/usr/sbin/htmlinfo_update.sh
fi

%files
%defattr(-,root,root,0755)
%doc EXAMPLES README README.alias
/usr/bin/which
%config(noreplace) /etc/profile.d/which-2.*
%{_mandir}/man1/which.1*
/usr/share/html/which

%changelog
* Mon Mar 21 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 2.16-5tr
- Rebuilt against Official Glibc-2.3.4

* Mon Sep 27 2004 Syed Shabir <syedshabir at comodo dot com> 2.16-4tr
- Added broken patch.

* Sun Dec  7 2003 Erlend Midttun <erlendbm at trustix dot org> 2.16-1tr
- New upstream.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 2.14-5tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 2.14-4em
- Rebuilt against glibc 2.3.2.

* Thu Feb 27 2003 Christian H. Toldnes <christht@tihlde.org> 2.14-3ct
- Added better removel of $RPM_BUILD_ROOT

* Fri Nov  1 2002 Christian H. Toldnes <christht at trustix dot com> 2.14-2ct
- Replaced info stuff with the new htmlinfo setup.

* Sat Jul 27 2002 Gerald Dachs <gda at trustix dot org> 2.14-1gd
- new upstream version

* Thu Jul 25 2002 Nico Erfurth <masta at trustix dot org> 2.13-1ne
- new upstream version
- changed which-2.sh to work with shell-functions
- added which.info to the filelist

* Wed Jul 24 2002 Daniel Meyer <eagle at trustix dot org> 2.12-4dm
- rebuild for Trustix Secure Linux 2.0

* Tue Sep 12 2000 Per Ivar Paulsen <perp at trustix dot com>
- Moved man, some fixes.

* Fri Jan 14 2000 Carlo Wood <carlo@gnu.org>
- Started counting at 0 for Source0: ...
- Changed it into TWO Source: lines.
- Added a Source line for which-2.{sh.csh}.

* Fri Sep 24 1999 Carlo Wood <carlo@gnu.org>
- There should not be a reason anymore to include README.alias in the rpm docs.
- Don't install as root.root in RPM_BUILD_ROOT, in order to allow to build
  rpm as non-root.
- Bug fix
- Added /etc/profile.d for automatic alias inclusion.

* Wed Aug 25 1999 Carlo Wood <carlo@gnu.org>
- Added README.alias.

* Wed Aug 11 1999 Carlo Wood <carlo@gnu.org>
- Typo in comment.

* Thu May 27 1999 Carlo Wood <carlo@gnu.org>
- Typo fix
- Moved maintainer targets from makefile to Makefile.am.

* Tue May 18 1999 Carlo Wood <carlo@gnu.org>
- Typo in appended changelog.
- Appended the old change log of `which-2.0.spec' to (this) %changelog,
  which is generated from the CVS log of `which-2.0.spec.in'.
- Generate which-2.spec from which-2.spec.in with automatic VERSION
  and CHANGELOG substitution.

* Tue May 14 1999 Carlo Wood <carlo@gnu.org>
- Moved assignment of CFLAGS to the configure line, using RPM_OPT_FLAGS now.
- Corrected Source: line to point to ftp.gnu.org.

* Sat Apr 17 1999 Carlo Wood <carlo@gnu.org>
- Started to use automake and autoconf

* Fri Apr 09 1999 Carlo Wood <carlo@gnu.org>
- Renamed which-2.0.spec to which-2.spec

